libzypp 17.37.10

zypp::ProgressReportAdaptor Struct Reference

`#include <zypp/ZYppCallbacks.h>`

## Public Member Functions
| ProgressReportAdaptor (callback::SendReport< ProgressReport > &report)
| ProgressReportAdaptor (const ProgressData::ReceiverFnc &fnc, callback::SendReport< ProgressReport > &report)
bool | operator() (const ProgressData &progress)

## Public Attributes
ProgressData::ReceiverFnc | _fnc
callback::SendReport< ProgressReport > & | _report
bool | _first

## Detailed Description

Definition at line 59 of file ZYppCallbacks.h.

## Constructor & Destructor Documentation

## ◆ ProgressReportAdaptor() [1/2]

zypp::ProgressReportAdaptor::ProgressReportAdaptor | ( | callback::SendReport< ProgressReport > & | report | ) |
| inline

Definition at line 62 of file ZYppCallbacks.h.

## ◆ ProgressReportAdaptor() [2/2]

zypp::ProgressReportAdaptor::ProgressReportAdaptor | ( | const ProgressData::ReceiverFnc & | fnc,
|  | callback::SendReport< ProgressReport > & | report )
| inline

Definition at line 67 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::ProgressReportAdaptor::operator() | ( | const ProgressData & | progress | ) |
| inline

Definition at line 74 of file ZYppCallbacks.h.

## Member Data Documentation

## ◆ _fnc

ProgressData::ReceiverFnc zypp::ProgressReportAdaptor::_fnc

Definition at line 93 of file ZYppCallbacks.h.

## ◆ _report

callback::SendReport<ProgressReport>& zypp::ProgressReportAdaptor::_report

Definition at line 94 of file ZYppCallbacks.h.

## ◆ _first

bool zypp::ProgressReportAdaptor::_first

Definition at line 95 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h